Bug 119152 - Incorrect Column dialog in Table of Content compared to Section
Summary: Incorrect Column dialog in Table of Content compared to Section
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.2.0 target:6.1.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-08-08 08:47 UTC by Xisco Faulí
Modified: 2018-09-10 15:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Table Of Content (52.99 KB, image/png)
2018-08-08 08:47 UTC, Xisco Faulí
Details
Section (38.79 KB, image/png)
2018-08-08 08:47 UTC, Xisco Faulí
Details
After the fix (82.50 KB, image/png)
2018-08-22 22:48 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-08-08 08:47:07 UTC
Created attachment 144022 [details]
Table Of Content

Steps to reproduce:
1. Open Writer
2. Go to Insert - Table of Content and Index - Table of Content - Columns tab

-> Observed behaviour: there's a blank dropdown list without any label around. Doesn't matter if it's changed, the widget is empty after reopening the same dialog. See attached image to compare the Table Of Content Dialog and the Section Dialog

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: c86a47a9d3debbc7e8ee6247f573e7f98c611f19
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 1 Xisco Faulí 2018-08-08 08:47:21 UTC
Created attachment 144023 [details]
Section
Comment 2 Xisco Faulí 2018-08-08 08:50:04 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=18aaca86fc0733244f36b761479c8dd476752a30

author	Gabor Kelemen <kelemeng@ubuntu.com>	2017-12-09 23:30:48 +0100
committer	Katarina Behrens <Katarina.Behrens@cib.de>	2017-12-11 13:13:33 +0100
commit	18aaca86fc0733244f36b761479c8dd476752a30 (patch)
tree	ac0edfab3ed75426e5f0d9d2c6bf573fa745843a
parent	caab75e01ae7c8484d2306cc5acf8a976920cc66 (diff)
tdf#113959 Use svxlo-FrameDirectionListBox instead of ListBox

Bisected with: bibisect-linux64-6.1

Adding Cc: to Gabor Kelemen
Comment 3 Gabor Kelemen 2018-08-08 09:14:04 UTC
Probably it was forgotten to be populated with items. Will take a look.
Comment 4 Gabor Kelemen 2018-08-14 19:16:57 UTC
Hm, these are not even visible in 6.0.x
I have my suspect:

- <property name="no_show_all">True</property>
Comment 5 Gabor Kelemen 2018-08-22 22:48:57 UTC
Created attachment 144378 [details]
After the fix

Patch in Gerrit, this fixes the regression in the TOC window: https://gerrit.libreoffice.org/#/c/59479/
In the Section window it is still shown, so the former behavior is restored.
Comment 6 Commit Notification 2018-09-02 06:34:38 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f3dec1104a21d93d400c76ab0ae85083aec8492

tdf#119152 Hide Text Direction dropdown from Columns tab by default

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-09-05 03:46:44 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2fb0332c9edce317c371feafc5ae64d81c05febd&h=libreoffice-6-1

tdf#119152 Hide Text Direction dropdown from Columns tab by default

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-09-10 15:17:30 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 433fce6571d4b9121374047324a7d2d2722ac3e4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Gabor Kelemen, Thanks for fixing this!